JMSCompositeDataConstants (ActiveMQ Artemis Web 1.5.3.jbossorg-002 API)
Date: 2017-02-15

org.apache.activemq.artemis.jms.management.impl.openmbean

## Interface JMSCompositeDataConstants

-     public interface JMSCompositeDataConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BODY_LENGTH`
    `static String` | `BODY_PREVIEW`
    `static String` | `CONTENT_MAP`
    `static String` | `JMS_CORRELATION_ID`
    `static String` | `JMS_CORRELATION_ID_DESCRIPTION`
    `static String` | `JMS_DELIVERY_MODE`
    `static String` | `JMS_DELIVERY_MODE_DESCRIPTION`
    `static String` | `JMS_DESTINATION`
    `static String` | `JMS_DESTINATION_DESCRIPTION`
    `static String` | `JMS_EXPIRATION`
    `static String` | `JMS_EXPIRATION_DESCRIPTION`
    `static String` | `JMS_MESSAGE_ID`
    `static String` | `JMS_MESSAGE_ID_DESCRIPTION`
    `static String` | `JMS_PRIORITY`
    `static String` | `JMS_PRIORITY_DESCRIPTION`
    `static String` | `JMS_REDELIVERED`
    `static String` | `JMS_REDELIVERED_DESCRIPTION`
    `static String` | `JMS_REPLY_TO`
    `static String` | `JMS_REPLY_TO_DESCRIPTION`
    `static String` | `JMS_TIMESTAMP`
    `static String` | `JMS_TIMESTAMP_DESCRIPTION`
    `static String` | `JMS_TYPE`
    `static String` | `JMS_TYPE_DESCRIPTION`
    `static String` | `JMSXGROUP_ID`
    `static String` | `JMSXGROUP_ID_DESCRIPTION`
    `static String` | `JMSXGROUP_SEQ`
    `static String` | `JMSXGROUP_SEQ_DESCRIPTION`
    `static String` | `JMSXUSER_ID`
    `static String` | `JMSXUSER_ID_DESCRIPTION`
    `static String` | `MESSAGE_TEXT`
    `static String` | `MESSAGE_URL`
    `static String` | `ORIGINAL_DESTINATION`
    `static String` | `ORIGINAL_DESTINATION_DESCRIPTION`

- - ### Field Detail

    - #### JMS_DESTINATION

          static final String JMS_DESTINATION

      See Also:
        Constant Field Values

    - #### JMS_MESSAGE_ID

          static final String JMS_MESSAGE_ID

      See Also:
        Constant Field Values

    - #### JMS_TYPE

          static final String JMS_TYPE

      See Also:
        Constant Field Values

    - #### JMS_DELIVERY_MODE

          static final String JMS_DELIVERY_MODE

      See Also:
        Constant Field Values

    - #### JMS_EXPIRATION

          static final String JMS_EXPIRATION

      See Also:
        Constant Field Values

    - #### JMS_PRIORITY

          static final String JMS_PRIORITY

      See Also:
        Constant Field Values

    - #### JMS_REDELIVERED

          static final String JMS_REDELIVERED

      See Also:
        Constant Field Values

    - #### JMS_TIMESTAMP

          static final String JMS_TIMESTAMP

      See Also:
        Constant Field Values

    - #### JMSXGROUP_SEQ

          static final String JMSXGROUP_SEQ

      See Also:
        Constant Field Values

    - #### JMSXGROUP_ID

          static final String JMSXGROUP_ID

      See Also:
        Constant Field Values

    - #### JMSXUSER_ID

          static final String JMSXUSER_ID

      See Also:
        Constant Field Values

    - #### JMS_CORRELATION_ID

          static final String JMS_CORRELATION_ID

      See Also:
        Constant Field Values

    - #### ORIGINAL_DESTINATION

          static final String ORIGINAL_DESTINATION

      See Also:
        Constant Field Values

    - #### JMS_REPLY_TO

          static final String JMS_REPLY_TO

      See Also:
        Constant Field Values

    - #### JMS_DESTINATION_DESCRIPTION

          static final String JMS_DESTINATION_DESCRIPTION

      See Also:
        Constant Field Values

    - #### JMS_MESSAGE_ID_DESCRIPTION

          static final String JMS_MESSAGE_ID_DESCRIPTION

      See Also:
        Constant Field Values

    - #### JMS_TYPE_DESCRIPTION

          static final String JMS_TYPE_DESCRIPTION

      See Also:
        Constant Field Values

    - #### JMS_DELIVERY_MODE_DESCRIPTION

          static final String JMS_DELIVERY_MODE_DESCRIPTION

      See Also:
        Constant Field Values

    - #### JMS_EXPIRATION_DESCRIPTION

          static final String JMS_EXPIRATION_DESCRIPTION

      See Also:
        Constant Field Values

    - #### JMS_PRIORITY_DESCRIPTION

          static final String JMS_PRIORITY_DESCRIPTION

      See Also:
        Constant Field Values

    - #### JMS_REDELIVERED_DESCRIPTION

          static final String JMS_REDELIVERED_DESCRIPTION

      See Also:
        Constant Field Values

    - #### JMS_TIMESTAMP_DESCRIPTION

          static final String JMS_TIMESTAMP_DESCRIPTION

      See Also:
        Constant Field Values

    - #### JMSXGROUP_SEQ_DESCRIPTION

          static final String JMSXGROUP_SEQ_DESCRIPTION

      See Also:
        Constant Field Values

    - #### JMSXGROUP_ID_DESCRIPTION

          static final String JMSXGROUP_ID_DESCRIPTION

      See Also:
        Constant Field Values

    - #### JMSXUSER_ID_DESCRIPTION

          static final String JMSXUSER_ID_DESCRIPTION

      See Also:
        Constant Field Values

    - #### JMS_CORRELATION_ID_DESCRIPTION

          static final String JMS_CORRELATION_ID_DESCRIPTION

      See Also:
        Constant Field Values

    - #### ORIGINAL_DESTINATION_DESCRIPTION

          static final String ORIGINAL_DESTINATION_DESCRIPTION

      See Also:
        Constant Field Values

    - #### JMS_REPLY_TO_DESCRIPTION

          static final String JMS_REPLY_TO_DESCRIPTION

      See Also:
        Constant Field Values

    - #### BODY_LENGTH

          static final String BODY_LENGTH

      See Also:
        Constant Field Values

    - #### BODY_PREVIEW

          static final String BODY_PREVIEW

      See Also:
        Constant Field Values

    - #### CONTENT_MAP

          static final String CONTENT_MAP

      See Also:
        Constant Field Values

    - #### MESSAGE_TEXT

          static final String MESSAGE_TEXT

      See Also:
        Constant Field Values

    - #### MESSAGE_URL

          static final String MESSAGE_URL

      See Also:
        Constant Field Values

Copyright © 2017 The Apache Software Foundation. All rights reserved.